#ifndef MAIN_HPP
#define MAIN_HPP

/*--------------------------------------------------------------------------------------------------------------
 * INCLUDES
 *-------------------------------------------------------------------------------------------------------------*/
#include "GlobTypes.hpp"
#include "args.hpp"
#include "ConvSap2Esp.hpp"

namespace cc 
{
	/*--------------------------------------------------------------------------------------------------------------
    * CLASS: MAINUNIT
    *--------------------------------------------------------------------------------------------------------------*/  
	class MainUnit
    {
	/*--------------------------------------------------------------------------------------------------------------
    * PRIVATE METHODS
    *--------------------------------------------------------------------------------------------------------------*/  
	private:
								MainUnit						(void) {}
								~MainUnit						(void) {}

	/*--------------------------------------------------------------------------------------------------------------
    * PUBLIC METHODS
    *--------------------------------------------------------------------------------------------------------------*/  
	public:
		bool static				Run								(CoInt_t argc, CoCStr_t argv[]);
	};
}

#endif //MAIN_HPP

